Skip to main content

Consumer Authentication

Handle consumer user registration and login for e-commerce flows.

Base URL: /api/v1/partner/user

Endpoints Overview​

MethodEndpointDescription
GET/{cuid}Get User By Id
GET/findFind User
POST/registerRegister Consumer
POST/loginConsumer Login

Get User By Id​

GET /api/v1/partner/user/{cuid}

Retrieve a consumer user profile by their ID.

Path Parameters​

ParameterTypeDescription
cuidstringThe cuid

Response​

Returns a ConsumerUser object.

FieldTypeRequiredDescription
idstringNoUnique identifier
companyIdstringNoCompany identifier
createdlongNoCreated timestamp (epoch ms)
modifiedlongNoLast modified timestamp (epoch ms)
deletedbooleanNoWhether the record is deleted
updatedbooleanNoWhether the record has been updated
emailstringNoEmail address
passwordstringNoPassword
firstNamestringNoFirst name
lastNamestringNoLast name
middleNamestringNoMiddle name
addressAddressNoAddress
doblongNoDob
birthdatestringNoBirthdate
localDobstringNoLocal Dob
primaryPhonestringNoPrimary phone number
cpnstringNoCpn
textOptInbooleanNoText Opt In
emailOptInbooleanNoEmail Opt In
medicalbooleanNoMedical (default: false)
searchTextstringNoSearch Text
anonymousbooleanNoAnonymous
marketingSourcestringNoMarketing Source
sourceCompanyIdstringNoSource Company identifier
verifyMethodstringNoVerify Method. One of: Website, Phone (default: Website)
verificationWebsitestringNoVerification Website
verificationPhonestringNoVerification Phone
doctorFirstNamestringNoDoctor First Name
doctorLastNamestringNoDoctor Last Name
doctorLicensestringNoDoctor License
dlNostringNoDl No
dlExpirationlongNoDl Expiration
localDlExpirationstringNoLocal Dl Expiration
dlStatestringNoDl State
dlPhotoConsumerAssetNoDl Photo
recPhotoConsumerAssetNoRec Photo
recNostringNoRec No
recExpirationlongNoRec Expiration
recIssueDatelongNoRec Issue timestamp (epoch ms)
notificationTypestringNoNotification Type. One of: None, Email, Text (default: Email)
consumerTypestringNoConsumer Type. One of: Other, AdultUse, MedicinalState, MedicinalThirdParty (default: AdultUse)
verifiedbooleanNoVerified
activebooleanNoWhether active (default: true)
memberIdsstring[]NoMember Ids
memberStatusesConsumerMemberStatus[]NoMember Statuses
signedContractsSignedContract[]NoSigned Contracts
sourcestringNoSource. One of: Blaze, WooCommerce (default: Blaze)
importIdstringNoImport identifier
memberIdstringNoMember identifier
acceptedbooleanNoAccepted (default: false)
acceptedDatelongNoAccepted timestamp (epoch ms)
reasonstringNoReason
lastSyncDatelongNoLast Sync timestamp (epoch ms)
rejectedDatelongNoRejected timestamp (epoch ms)
addressesAddress[]NoAddresses
growthLoyaltyEnrolledbooleanNoGrowth Loyalty Enrolled
growthLoyaltyEnrolledUpdatedAtlongNoGrowth Loyalty Enrolled Updated At

Find User​

GET /api/v1/partner/user/find

Search for a consumer user by email, phoneNumber, and/or country. All parameters are optional — provide whichever identifiers you have available.

Query Parameters​

ParameterTypeRequiredDescription
emailstringNoemail
phoneNumberstringNophone number
countrystringNocountry

Response​

Returns a ConsumerUser object.

FieldTypeRequiredDescription
idstringNoUnique identifier
companyIdstringNoCompany identifier
createdlongNoCreated timestamp (epoch ms)
modifiedlongNoLast modified timestamp (epoch ms)
deletedbooleanNoWhether the record is deleted
updatedbooleanNoWhether the record has been updated
emailstringNoEmail address
passwordstringNoPassword
firstNamestringNoFirst name
lastNamestringNoLast name
middleNamestringNoMiddle name
addressAddressNoAddress
doblongNoDob
birthdatestringNoBirthdate
localDobstringNoLocal Dob
primaryPhonestringNoPrimary phone number
cpnstringNoCpn
textOptInbooleanNoText Opt In
emailOptInbooleanNoEmail Opt In
medicalbooleanNoMedical (default: false)
searchTextstringNoSearch Text
anonymousbooleanNoAnonymous
marketingSourcestringNoMarketing Source
sourceCompanyIdstringNoSource Company identifier
verifyMethodstringNoVerify Method. One of: Website, Phone (default: Website)
verificationWebsitestringNoVerification Website
verificationPhonestringNoVerification Phone
doctorFirstNamestringNoDoctor First Name
doctorLastNamestringNoDoctor Last Name
doctorLicensestringNoDoctor License
dlNostringNoDl No
dlExpirationlongNoDl Expiration
localDlExpirationstringNoLocal Dl Expiration
dlStatestringNoDl State
dlPhotoConsumerAssetNoDl Photo
recPhotoConsumerAssetNoRec Photo
recNostringNoRec No
recExpirationlongNoRec Expiration
recIssueDatelongNoRec Issue timestamp (epoch ms)
notificationTypestringNoNotification Type. One of: None, Email, Text (default: Email)
consumerTypestringNoConsumer Type. One of: Other, AdultUse, MedicinalState, MedicinalThirdParty (default: AdultUse)
verifiedbooleanNoVerified
activebooleanNoWhether active (default: true)
memberIdsstring[]NoMember Ids
memberStatusesConsumerMemberStatus[]NoMember Statuses
signedContractsSignedContract[]NoSigned Contracts
sourcestringNoSource. One of: Blaze, WooCommerce (default: Blaze)
importIdstringNoImport identifier
memberIdstringNoMember identifier
acceptedbooleanNoAccepted (default: false)
acceptedDatelongNoAccepted timestamp (epoch ms)
reasonstringNoReason
lastSyncDatelongNoLast Sync timestamp (epoch ms)
rejectedDatelongNoRejected timestamp (epoch ms)
addressesAddress[]NoAddresses
growthLoyaltyEnrolledbooleanNoGrowth Loyalty Enrolled
growthLoyaltyEnrolledUpdatedAtlongNoGrowth Loyalty Enrolled Updated At

Register Consumer​

POST /api/v1/partner/user/register

Register a new consumer user account. Send a ConsumerCreateRequest in the request body with the user's registration details.

Request Body​

FieldTypeRequiredDescription
emailstringYesEmail address
firstNamestringYesFirst name
lastNamestringYesLast name
passwordstringNoPassword
phoneNumberstringNoPhone Number
doblongNoDob
birthdatestringNoBirthdate
localDobstringNoLocal Dob
marketingSourcestringNoMarketing Source
agreementCompanyAssetNoAgreement
contractIdstringNoContract identifier

Response​

Returns a ConsumerUser object.

FieldTypeRequiredDescription
idstringNoUnique identifier
companyIdstringNoCompany identifier
createdlongNoCreated timestamp (epoch ms)
modifiedlongNoLast modified timestamp (epoch ms)
deletedbooleanNoWhether the record is deleted
updatedbooleanNoWhether the record has been updated
emailstringNoEmail address
passwordstringNoPassword
firstNamestringNoFirst name
lastNamestringNoLast name
middleNamestringNoMiddle name
addressAddressNoAddress
doblongNoDob
birthdatestringNoBirthdate
localDobstringNoLocal Dob
primaryPhonestringNoPrimary phone number
cpnstringNoCpn
textOptInbooleanNoText Opt In
emailOptInbooleanNoEmail Opt In
medicalbooleanNoMedical (default: false)
searchTextstringNoSearch Text
anonymousbooleanNoAnonymous
marketingSourcestringNoMarketing Source
sourceCompanyIdstringNoSource Company identifier
verifyMethodstringNoVerify Method. One of: Website, Phone (default: Website)
verificationWebsitestringNoVerification Website
verificationPhonestringNoVerification Phone
doctorFirstNamestringNoDoctor First Name
doctorLastNamestringNoDoctor Last Name
doctorLicensestringNoDoctor License
dlNostringNoDl No
dlExpirationlongNoDl Expiration
localDlExpirationstringNoLocal Dl Expiration
dlStatestringNoDl State
dlPhotoConsumerAssetNoDl Photo
recPhotoConsumerAssetNoRec Photo
recNostringNoRec No
recExpirationlongNoRec Expiration
recIssueDatelongNoRec Issue timestamp (epoch ms)
notificationTypestringNoNotification Type. One of: None, Email, Text (default: Email)
consumerTypestringNoConsumer Type. One of: Other, AdultUse, MedicinalState, MedicinalThirdParty (default: AdultUse)
verifiedbooleanNoVerified
activebooleanNoWhether active (default: true)
memberIdsstring[]NoMember Ids
memberStatusesConsumerMemberStatus[]NoMember Statuses
signedContractsSignedContract[]NoSigned Contracts
sourcestringNoSource. One of: Blaze, WooCommerce (default: Blaze)
importIdstringNoImport identifier
memberIdstringNoMember identifier
acceptedbooleanNoAccepted (default: false)
acceptedDatelongNoAccepted timestamp (epoch ms)
reasonstringNoReason
lastSyncDatelongNoLast Sync timestamp (epoch ms)
rejectedDatelongNoRejected timestamp (epoch ms)
addressesAddress[]NoAddresses
growthLoyaltyEnrolledbooleanNoGrowth Loyalty Enrolled
growthLoyaltyEnrolledUpdatedAtlongNoGrowth Loyalty Enrolled Updated At

Consumer Login​

POST /api/v1/partner/user/login

Authenticate a consumer user. On success, returns a ConsumerAuthResult containing the access token. The token is also set in the X-Auth-Token response header for convenience.

Request Body​

FieldTypeRequiredDescription
emailstringYesEmail address
passwordstringYesPassword
timezonestringNoTimezone

Response​

Returns a ConsumerAuthResult object.

FieldTypeRequiredDescription
accessTokenstringNoAccess Token
assetAccessTokenstringNoAsset Access Token
userConsumerUserNoUser
loginTimelongNoLogin timestamp (epoch ms)
expirationTimelongNoExpiration timestamp (epoch ms)
sessionIdstringNoSession identifier